Subject: Re: bug#58092: 29.0.50; [PATCH] Add log-edit-summary-separator face

From: Dmitry Gutov <[email-masked]>
Date: Mon, 26 Sep 2022 17:32:32 +0300

On 26.09.2022 17:06, Protesilaos Stavrou wrote:
>> From: Dmitry Gutov<[email-masked]>
>> Date: Mon, 26 Sep 2022 16:28:56 +0300
>>
>> Hi!
>>
>> On 26.09.2022 15:44, Protesilaos Stavrou wrote:
>>> Dear maintainers,
>>>
>>> The attached patch replaces some hardcoded face properties in log-edit
>>> buffers with a named face.
>>>
>>> The named face allows users/themes to customise how this line is styled.
>>>
>>> What do you think?
>> LGTM, except perhaps call it headers-separator? It's used to separate
>> all the headers, not just summary.
> Hello everyone,
> 
> I made the changes as you suggested and pushed them as commit
> a386833503.  However, I forgot to update the commit message of the
> patch: it still mentions the old name of the face
> 'log-edit-summary-separator' instead of 'log-edit-headers-separator'.
> 
> Sorry for this mistake!  Can I revert or amend it?

If it's just in the commit message, then a revert won't help.

And I don't think we have any tools for amending the change log so far.

In any case, NEWS is more important than the commit message. So it's 
probably fine.